#### D.4.27.17 prepareAss

Procedure from library `primdec.lib` (see primdec_lib).

Usage:
  prepareAss(I); I ideal

Return:
  list of radicals of the equidimensional components of I

Note:
  Uses algorithm of Eisenbud/Huneke/Vasconcelos.

Example:

    LIB "primdec.lib";
    ring  r = 0,(x,y,z),dp;
    poly  p = z2+1;
    poly  q = z3+2;
    ideal i = p*q^2,y-z2;
    list pr = prepareAss(i);
    pr;
    ==> [1]:
    ==>    _[1]=z2-y
    ==>    _[2]=y2z+z3+2z2+2

User manual for Singular version 4.4.1, 2025, generated by texi2html.